linux: 3.2.0-27.43 -proposed tracker

Bug #1020016 reported by Luis Henriques on 2012-07-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
Para Siva
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-27.43 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 02. July 2012 09:48 UTC
kernel-stable-Prepare-package-end:Wednesday, 04. July 2012 09:48 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 04. July 2012 09:48 UTC
kernel-stable-Promote-to-proposed-end:Monday, 09. July 2012 15:01 UTC
kernel-stable-Verification-testing-start:Monday, 09. July 2012 16:01 UTC
kernel-stable-Verification-testing-end:Friday, 13. July 2012 11:15 UTC
kernel-stable-Certification-testing-start:Friday, 13. July 2012 11:15 UTC
kernel-stable-Security-signoff-start:Friday, 13. July 2012 11:15 UTC
kernel-stable-Regression-testing-start:Friday, 13. July 2012 11:15 UTC
kernel-stable-Security-signoff-end:Friday, 13. July 2012 21:00 UTC
kernel-stable-Regression-testing-end:Monday, 16. July 2012 18:15 UTC
kernel-stable-Promote-to-updates-start:Friday, 20. July 2012 09:15 UTC
kernel-stable-Certification-testing-end:Friday, 20. July 2012 09:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 23. July 2012 08:30 UTC
kernel-stable-Promote-to-updates-end:Monday, 23. July 2012 08:30 UTC

Luis Henriques (henrix) on 2012-07-02
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1020887
linux-armadaxp - bug 1020888

description: updated

Copied to -proposed.

Changed in linux (Ubuntu):
status: In Progress → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
status: New → Triaged
status: Triaged → In Progress
Colin Watson (cjwatson) wrote :

Oh, except not because it was caught by the ddebs snafu. Sorry about that. Perhaps somebody with appropriate privileges could reopen this task, as I can't.

Brad Figg (brad-figg) on 2012-07-06
description: updated
Herton R. Krzesinski (herton) wrote :

Tasks reset, new packages still building, to address the ddebs fallow.

summary: - linux: 3.2.0-27.42 -proposed tracker
+ linux: 3.2.0-27.43 -proposed tracker
description: updated
description: updated
Herton R. Krzesinski (herton) wrote :

*fallout, sigh

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1021834
linux-armadaxp - bug 1021835

Herton R. Krzesinski (herton) wrote :

Ignore the bugs opened in comment #6, fallout from the bot...

Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides fixed up.

Brad Figg (brad-figg) on 2012-07-08
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-current-generic 3.2.0.27.29 - is in main instead of universe
linux-current-generic 3.2.0.27.29 - is in main instead of universe
linux-headers-highbank 3.2.0.27.29 - is in main instead of universe
linux-highbank 3.2.0.27.29 - is in main instead of universe
linux-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-image-current-generic 3.2.0.27.29 - is in main instead of universe
linux-image-current-generic 3.2.0.27.29 - is in main instead of universe
linux-image-highbank 3.2.0.27.29 - is in main instead of universe
linux-image-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-image-hwe-generic 3.2.0.27.29 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Brad Figg (brad-figg) on 2012-07-08
description: updated
Brad Figg (brad-figg) on 2012-07-08
description: updated
Adam Conrad (adconrad) wrote :

All the new packages from linux-meta should be in main now too.

Brad Figg (brad-figg) on 2012-07-08
description: updated
Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

linux-current-generic 3.2.0.27.29 - is in main instead of universe
linux-current-generic 3.2.0.27.29 - is in main instead of universe
linux-headers-highbank 3.2.0.27.29 - is in main instead of universe
linux-highbank 3.2.0.27.29 - is in main instead of universe
linux-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-image-current-generic 3.2.0.27.29 - is in main instead of universe
linux-image-current-generic 3.2.0.27.29 - is in main instead of universe
linux-image-highbank 3.2.0.27.29 - is in main instead of universe
linux-image-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-image-hwe-generic 3.2.0.27.29 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Adam Conrad (adconrad) wrote :

The current overrides are correct (all those metapackages should be in main). If your script thinks they should be in universe, it's wrong. :P

Brad Figg (brad-figg) on 2012-07-08
description: updated
Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

linux-current-generic 3.2.0.27.29 - is in main instead of universe
linux-current-generic 3.2.0.27.29 - is in main instead of universe
linux-headers-highbank 3.2.0.27.29 - is in main instead of universe
linux-highbank 3.2.0.27.29 - is in main instead of universe
linux-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-image-current-generic 3.2.0.27.29 - is in main instead of universe
linux-image-current-generic 3.2.0.27.29 - is in main instead of universe
linux-image-highbank 3.2.0.27.29 - is in main instead of universe
linux-image-hwe-generic 3.2.0.27.29 - is in main instead of universe
linux-image-hwe-generic 3.2.0.27.29 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Herton R. Krzesinski (herton) wrote :

@Adam Conrad, yes, there was a bug regarding handling new meta packages that didn't released originally on Precise, should be fixed now.

Brad Figg (brad-figg) on 2012-07-09
description: updated
Brad Figg (brad-figg) on 2012-07-09
description: updated
Luis Henriques (henrix) wrote :

All bugs verified, moving to testing.

Brad Figg (brad-figg) on 2012-07-13
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-07-13
description: updated

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Para Siva (psivaa) wrote :

No regressions observed

Brad Figg (brad-figg) on 2012-07-16
Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Para Siva (psivaa) on 2012-07-16
tags: added: qa-testing-passed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2012-07-16
description: updated

Hardware Certification have begun testing this -proposed kernel.

In running the hardware certification SRU tests on the systems in our labs, we've encountered the following failure:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1026496

This is the first time the system in question has been tested since being certified so we don't have any certainty yet that the -proposed kernel is the cause of the issue, but we are investigating it.

Tested the system mentioned in the bug above with -updates and the failure still happens. Removing the regression-proposed tag and we can consider this not a blocker to release, but will follow up to see if the problem occurs in the release image.

Hardware Certification has completed testing on 41/41 systems. No regressions were observed and the report is available here:

http://people.canonical.com/~hwcert/sru-testing/wk29_2012/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-07-20
description: updated
Adam Conrad (adconrad) wrote :

Copied to -updates and -security.

Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-27.43

---------------
linux (3.2.0-27.43) precise-proposed; urgency=low

  [ Andy Whitcroft ]

  * No change upload to fix .ddeb generation in the PPA.

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1020016

linux (3.2.0-27.42) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1020016

  [ Chris J Arges ]

  * PACKAGING: add .gnu_debuglink sections to .ko files
    - LP: #669641

  [ Ike Panhc ]

  * [Config] Updateconfigs
    - LP: #1008345

  [ Luis Henriques ]

  * SAUCE: (upstreamed) [media] ene_ir: Fix driver initialisation
    - LP: #1014800
  * SAUCE: ocfs2: Fix NULL pointer dereferrence in
    __ocfs2_change_file_space
    - LP: #1006012

  [ Rob Herring ]

  * SAUCE: net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * SAUCE: EDAC: Add support for the highbank platform memory
    - LP: #1008345
  * SAUCE: EDAC: add support for highbank platform L2 cache ecc
    - LP: #1008345

  [ Seth Forshee ]

  * (pre-stable): bcma: add ext PA workaround for BCM4331 and BCM43431
    - LP: #925577

  [ Takashi Iwai ]

  * SAUCE: ALSA: hda - Fix power-map regression for HP dv6 & co
    - LP: #1013183

  [ Tim Gardner ]

  * [Config] Enable CONFIG_CGROUPS for highbank
    - LP: #1014692

  [ Upstream Kernel Changes ]

  * Revert "net: maintain namespace isolation between vlan and real device"
    - LP: #1013723
  * x86/amd: Re-enable CPU topology extensions in case BIOS has disabled it
    - LP: #1009087
  * hwmon: (k10temp) Add support for AMD Trinity CPUs
    - LP: #1009086
  * hwmon: (fam15h_power) Increase output resolution
    - LP: #1009086
  * Input: wacom - use BTN_TOOL_FINGER to indicate touch device type
    - LP: #1009435
  * Input: wacom - use switch statement for wacom_tpc_irq()
    - LP: #1009435
  * Input: wacom - isolate input registration
    - LP: #1009435
  * Input: wacom - wireless monitor framework
    - LP: #1009435
  * Input: wacom - create inputs when wireless connect
    - LP: #1009435
  * Input: wacom - wireless battery status
    - LP: #1009435
  * Input: wacom - check for allocation failure in probe()
    - LP: #1009435
  * Input: wacom - add basic Intuos5 support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring/ExpressKey support
    - LP: #1009435
  * Input: wacom - add Intuos5 Touch Ring LED support
    - LP: #1009435
  * Input: wacom - add Intuos5 multitouch sensor support
    - LP: #1009435
  * iommu/amd: Add workaround for event log erratum
    - LP: #1013723
  * MIPS: BCM63XX: Add missing include for bcm63xx_gpio.h
    - LP: #1013723
  * cifs: Include backup intent search flags during searches {try #2)
    - LP: #1013723
  * sunrpc: fix loss of task->tk_status after rpc_delay call in
    xprt_alloc_slot
    - LP: #1013723
  * exofs: Fix CRASH on very early IO errors.
    - LP: #1013723
  * cifs: fix oops while traversing open file list (try #4)
    - LP: #1013723
  * Fix dm-multipath starvation when scsi host is busy
    - LP: #1013723
  * ixp4xx: fix compilation by adding gpiolib support
    - LP: #1013723
  * drm/i915: properly handle interlaced bit for sdvo dtd conversion
    - LP: #1013723
...

Changed in linux (Ubuntu Precise):
status: In Progress → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers